# dudelbox

![](dudelbox-usb.jpg)

## Definitionen 
  - Tag: RFID Transponder, z.B. Karte oder Fob

## Container / Service
  -  [`droppy`](https://github.com/silverwind/droppy) Web-Dateimanager, (http port 8989)
  - [`mopidy`](https://mopidy.com/) Music Player:
    - Spielt Medien ab
    - [WebUI Irin-Extension](https://mopidy.com/ext/iris/) zur manuellen Steuerung (http port 80)
    - [MPD-Extension](https://mopidy.com/ext/mpd/) zur Steuerung per MPD-Protokoll  (Port 6600)
  - [`rfidac`](https://git.in-ulm.de/verchow/jambox/src/master/setup/roles/rfidac/templates)
    - Liest den USB RDIF Reader
    - Führt Bash-Skipts mit der Tag ID als Namen aus
    - Steuert mopidy per mpd (mpc)
    - Aktualisiert Tag-Ordner im Medien-Verzeichnis

## Lokale Medien
  - Medien liegen lokal auf `~/dudelbox/mopidy/data/mopidy/music/` 
  - Der Ordner lässt sich per Web-Dateimanager (Droppy) verwalten

## Tag Aktionen
  - Jeder Tag führt ein Bash Skript mit der ID des Tags als Namen aus
  - Sollte das Script noch nicht vorhanden sein,
    wird es als Kopie von `_action_tempalte` erstellt
    und ausgeführt wenn der Tag das nächste mal sichtbar wird
  - Standard-Aktion legt `_action_template`:
    -  Für jeden Tag wird ein Ordner mit der Tag ID als Namen im Medien-Ordner angelegt
    - Das Datum des Ordners wird aktualisiert wenn der Tag sichtbar ist
    - Alle Medien im Ordner werden der Playliste hinzugefügt und abgespielt.
      Etwaig bestehende Titel in der Playlist werden gelöscht.
  - Weitere denkbare Aktionen:
    - Lauter / leiser
    - Stop
    - Shutdown
    - Play Playlist mit Tag ID

## Konfiguration
Siehe `.env` für die jeweilgen Container
